Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServantBase_var Class Reference

Auto pointer for reference counting servants. More...

`#include <Servant_Base.h>`

Collaboration diagram for TAO_ServantBase_var:

[legend]
List of all members.

## Public Methods
| TAO_ServantBase_var (void)
| TAO_ServantBase_var (TAO_ServantBase *p)
| TAO_ServantBase_var (const TAO_ServantBase_var &b)
| ~TAO_ServantBase_var (void)
TAO_ServantBase_var & | operator= (TAO_ServantBase *p)
TAO_ServantBase_var & | operator= (const TAO_ServantBase_var &b)
TAO_ServantBase * | operator-> () const
TAO_ServantBase * | in (void) const
TAO_ServantBase *& | inout (void)
TAO_ServantBase *& | out (void)
TAO_ServantBase * | _retn (void)
## Private Attributes
TAO_ServantBase * | ptr_

## Detailed Description

Auto pointer for reference counting servants.

For the convenience of automatically managing servant reference counts, the PortableServer namespace also provides the ServantBase_var class. This class behaves similarly to _var classes for object references (see Section 20.3.1).

## Constructor & Destructor Documentation

TAO_ServantBase_var::TAO_ServantBase_var | ( | void |  | ) |

TAO_ServantBase_var::TAO_ServantBase_var | ( | TAO_ServantBase * | p | ) |

TAO_ServantBase_var::TAO_ServantBase_var | ( | const TAO_ServantBase_var & | b | ) |

TAO_ServantBase_var::~TAO_ServantBase_var | ( | void |  | ) |

## Member Function Documentation

TAO_ServantBase * TAO_ServantBase_var::_retn | ( | void |  | ) |

TAO_ServantBase * TAO_ServantBase_var::in | ( | void |  | ) | const

TAO_ServantBase *& TAO_ServantBase_var::inout | ( | void |  | ) |

TAO_ServantBase * TAO_ServantBase_var::operator-> | ( |  | ) |

TAO_ServantBase_var & TAO_ServantBase_var::operator= | ( | const TAO_ServantBase_var & | b | ) |

TAO_ServantBase_var & TAO_ServantBase_var::operator= | ( | TAO_ServantBase * | p | ) |

TAO_ServantBase *& TAO_ServantBase_var::out | ( | void |  | ) |

## Member Data Documentation

TAO_ServantBase* TAO_ServantBase_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Servant_Base.h
- Servant_Base.cpp